No Opengl ES on linux

Moderator: Raze Developers

Forum rules
Please don't bump threads here if you have a problem - it will often be forgotten about if you do. Instead, make a new thread here.
User avatar
SaveTheDoomer
Posts: 143
Joined: Sun Apr 11, 2021 4:20 am
Operating System Version (Optional): Windows10/Manjaro
Graphics Processor: ATI/AMD with Vulkan/Metal Support
Location: Yog-Sothoth stone circle on the dark hills

No Opengl ES on linux

Post by SaveTheDoomer »

I've tried to launch raze with gl_es enabled, on linux, but it crashes with a message saying "At least Opengl 3.3 is required". But i have OpenGL 4.5 on my system. Also, GZdoom works correctly with both Opengl and Opengl ES. Any suggestion?
EDIT : by looking on the .ini on windows i noticed that vid_renderbackend was set to 3; i've tried to do the same on linux and it seems to work... maybe this is the correct variable to set?
User avatar
mjr4077au
Posts: 733
Joined: Sun Jun 16, 2019 9:17 pm
Graphics Processor: nVidia with Vulkan support
Location: Gosford NSW, Australia

Re: No Opengl ES on linux

Post by mjr4077au »

vid_preferbackend 3 is definitely the right variable here. You can append it to the command line or you can set it from the console. It appears we need to do a language update before 1.3.1 comes out.
VidMenu.png
You do not have the required permissions to view the files attached to this post.
User avatar
mjr4077au
Posts: 733
Joined: Sun Jun 16, 2019 9:17 pm
Graphics Processor: nVidia with Vulkan support
Location: Gosford NSW, Australia

Re: No Opengl ES on linux

Post by mjr4077au »

I've added the missing menu option to master and it'll be available in the next point release :)
User avatar
SaveTheDoomer
Posts: 143
Joined: Sun Apr 11, 2021 4:20 am
Operating System Version (Optional): Windows10/Manjaro
Graphics Processor: ATI/AMD with Vulkan/Metal Support
Location: Yog-Sothoth stone circle on the dark hills

Re: No Opengl ES on linux

Post by SaveTheDoomer »

Ok, thank you! :D

Return to “Closed Bugs”